Subject: Re: bug#63436: 30.0.50; Invalid escape character syntax

From: Eli Zaretskii <[email-masked]>
Date: Thu, 11 May 2023 11:52:38 +0300

[Please use Reply All to reply, so that the bug tracker is CC'ed.]

> From: Niels Søndergaard <[email-masked]>
> Date: Thu, 11 May 2023 09:43:10 +0200
> 
> With same config (nothing atall is changed, except the emacs, normally I’m running 29.0.90 build 
> 21G217) this version 30.0.50 is build 22E772610a.
> 
> The errors comes in yaml.el every time, but can be from many places, I suspect mostly from org-xxxx
> where xxxx is either agenda, capture (that is some where in my agenda files, but I have not a clue to
> what is)

The master branch is being actively developed, so it could add
warnings and errors as we decide they should be useful.

> This is the yaml.el file I have…..
> It is the same for 29.0.90 and 30.0.50

Thanks.  I attach the file below, so that it gets recorded in this
discussion.

The problem is here:

    ('ns-esc-8-bit
     (yaml--frame "ns-esc-8-bit"
       (yaml--all (yaml--chr ?\x)  <<<<<<<<<<<<<<<<<<<<<
                  (yaml--rep 2 2
                    (lambda () (yaml--parse-from-grammar 'ns-hex-digit))))))

The ?\x escape expects one or more digits after it.  If you mean the
letter 'x', then you should use ?x, without the escape, I think.

Adding Mattias, who I think worked on those diagnostics.